//------------------------------------------------------------------------
// File name...............: rsDatabase.h
// Library.................: Microsoft Foundation Classes
// Beskrivelse.............:				   
//		Implementering af database-resourcer (tabeller/query)
//
//		Denne fil vedligeholdes med brug af ClassWizard
//
//------------------------------------------------------------------------


#include "stdafx.h"
#include "rsDatabase.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


// herunder indstter ClassWizard implementering af database-resourcer


/////////////////////////////////////////////////////////////////////////////
// CrsPerson

IMPLEMENT_DYNAMIC(CrsPerson, CRecordset)

CrsPerson::CrsPerson(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CrsPerson)
	m_PersonNr = 0;
	m_Fornavn = _T("");
	m_Efternavn = _T("");
	m_Adresse = _T("");
	m_TlfNr = 0;
	m_PostNr = 0;
	m_Distrikt = _T("");
	m_nFields = 7;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dynaset;
}


CString CrsPerson::GetDefaultConnect()
{
	return _T("ODBC;DSN=FORENING");
}

CString CrsPerson::GetDefaultSQL()
{
	return _T("[QPerson]");
}

void CrsPerson::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CrsPerson)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Long(pFX, _T("[PersonNr]"), m_PersonNr);
	RFX_Text(pFX, _T("[Fornavn]"), m_Fornavn);
	RFX_Text(pFX, _T("[Efternavn]"), m_Efternavn);
	RFX_Text(pFX, _T("[Adresse]"), m_Adresse);
	RFX_Long(pFX, _T("[TlfNr]"), m_TlfNr);
	RFX_Long(pFX, _T("[PostNr]"), m_PostNr);
	RFX_Text(pFX, _T("[Distrikt]"), m_Distrikt);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CrsPerson diagnostics

#ifdef _DEBUG
void CrsPerson::AssertValid() const
{
	CRecordset::AssertValid();
}

void CrsPerson::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
